Begin		.equ	8000h

		.org	Begin-16-6

		.db "LVOV/2.0/"
		.db 0D0h
		.db "BEEPSK"
		.dw Begin,End-1,Start

Start:
		lxi	h,Skew1
		shld	SetSk+1
		call	Play
		lxi	h,Skew2
		shld	SetSk+1
		call	Play
		lxi	h,Skew3
		shld	SetSk+1
		call	Play
		lxi	h,Skew4
		shld	SetSk+1
		call	Play
		jmp	Start

Play:
		lxi	h,Notes
NextNote:
		lxi	d,4000h
		mvi	a,0FFh
		cmp	m
		rz
		push	h
		mov	l,m
		call	BeepSk
		pop	h
		inx	h
		jmp	NextNote

Notes:
		.db 0,1,2,3,4,5,6,0FFh

Skew1		.db 98*1/4,98*7/4,87*1/4,87*7/4,78*1/4,78*7/4,73*1/4,73*7/4,65*1/4,65*7/4,58*1/4,58*7/4,51*1/4,51*7/4
Skew2		.db 98*2/4,98*6/4,87*2/4,87*6/4,78*2/4,78*6/4,73*2/4,73*6/4,65*2/4,65*6/4,58*2/4,58*6/4,51*2/4,51*6/4
Skew3		.db 98*3/4,98*5/4,87*3/4,87*5/4,78*3/4,78*5/4,73*3/4,73*5/4,65*3/4,65*5/4,58*3/4,58*5/4,51*3/4,51*5/4
Skew4		.db 98,98,87,87,78,78,73,73,65,65,58,58,51,51

;DE -  
;HL -  , ..  
BeepSk:
		mvi	h,0
		dad	h
SetSk:		lxi	b,Skew1
		dad	b
		mov	a,m
		sta	Set1+1
		inx	h
		mov	a,m
		sta	Set0+1
Set1:		lxi	b,0	;10
		mvi	a,1	;7
		out	0C3h	;10
BeepDelay1:	dcx	d	;5
		mov	a,d	;5
		ora	e	;4
		rz		;5
		dcx	b	;5
		mov	a,b	;5
		ora	c	;4
		jnz	BeepDelay1 ;10
Set0:		lxi	b,0	;10
		mvi	a,0	;7
		out	0C3h	;10
BeepDelay0:	dcx	d	;5
		mov	a,d	;5
		ora	e	;4
		rz		;5
		dcx	b	;5
		mov	a,b	;5
		ora	c	;4
		jnz	BeepDelay0 ;10
		jmp	Set1	;10
End:

		.end